#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['Click>=7.0', ]

setup_requirements = ['pytest-runner', 'setuptools-git-versioning']

test_requirements = ['pytest>=3', ]

setup(
    author="Nicolas Misk",
    author_email='nicolas.misk@rayference.eu',
    python_requires='>=3.5',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="Radiative Transfer Model template",
    install_requires=requirements,
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='visitor_design_pattern',
    name='visitor_design_pattern',
    packages=find_packages(include=['visitor_design_pattern', 'visitor_design_pattern.*']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://gitlab.rayference.dansaert.be/project-x01/drivers/the_visitors',
    version_config={
        "template": "{tag}",
        "dev_template": "{sha}",
        "dirty_template": "{sha}",
    },
    zip_safe=False,
)
